Bug 13618 - Errors when joining a domain with a 2012R2 functional level
Errors when joining a domain with a 2012R2 functional level
Status: NEW
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.9.0
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-14 15:21 UTC by Luc Lalonde
Modified: 2019-02-19 22:41 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luc Lalonde 2018-09-14 15:21:32 UTC
Attempting to join a domain with a 2012R2 functional level should give
a clear error message and describe the available options

Here's a snippet of what we get when we try:

Joining Samba4 (v4.8.5) to a Win2kr2 domain gave this error (among others):

DsAddEntry failed with status WERR_ACCESS_DENIED info (8567, 'WERR_DS_INCOMPATIBLE_VERSION')